import '//resources/cr_elements/cr_icon_button/cr_icon_button.js';
import '//resources/cr_elements/icons.html.js';
import { CrLitElement } from '//resources/lit/v3_0/lit.rollup.js';
import type { BackForwardButtonState } from './browser_proxy.js';
import { PressHandler } from './toolbar_button.js';
declare const BackForwardButtonElementBase: typeof CrLitElement & (new (...args: any[]) => import("//resources/cr_components/help_bubble/help_bubble_mixin_lit.js").HelpBubbleMixinLitInterface) & (new (...args: any[]) => import("./toolbar_button.js").HelpBubbleAnchor);
export declare class BackForwardButtonElement extends BackForwardButtonElementBase {
    static get is(): string;
    static get styles(): import("//resources/lit/v3_0/lit.rollup.js").CSSResultGroup;
    render(): import("//resources/lit/v3_0/lit.rollup.js").TemplateResult<1>;
    static get properties(): {
        direction: {
            type: StringConstructor;
        };
        state: {
            type: ObjectConstructor;
        };
        leadingMargin: {
            type: NumberConstructor;
        };
        touchUi: {
            type: BooleanConstructor;
        };
    };
    accessor direction: 'back' | 'forward';
    accessor state: BackForwardButtonState;
    accessor leadingMargin: number;
    accessor touchUi: boolean;
    private browserProxy_;
    protected pressHandler_: PressHandler;
    private get contextMenuType_();
    private onLongPress_;
    private onShortPress_;
    protected getAriaLabel_(): string;
    protected getTooltip_(): string;
    protected onPointerenter_(): void;
    protected onClick_(e: MouseEvent): void;
    protected getIronIcon_(): string;
}
declare global {
    interface HTMLElementTagNameMap {
        'back-forward-button': BackForwardButtonElement;
    }
}
export {};
